<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Mail\FormSubmission;
use App\Mail\FormSubmissionContact;
use App\Mail\FormSubmissionPurchase;

use Illuminate\Support\Facades\Mail;

class FormController extends Controller
{
    public function submitForm(Request $request)
    {
        $request->validate([
            'name' => 'required|string|max:255',
            'contact' => 'required|string|max:15',
            'email' => 'required|email|max:255',
        ]);

        $formData = $request->only('name', 'contact', 'email');

        Mail::to('support@eservmd.com')->send(new FormSubmission($formData));

        return redirect()->back()->with('success', 'Form submitted successfully!');
    }

    public function submitcontactForm(Request $request)
    {


        $request->validate([
            'name' => 'required|string|max:255',
            'email' => 'required|email|max:15',
            'subject' => 'required|string|max:255',
            'contact' => 'required',
        ]);


        $formData = $request->only('name', 'contact', 'email', 'subject', 'message');

        Mail::to('support@eservmd.com')->send(new FormSubmissionContact($formData));

        return redirect()->back()->with('success-contact', 'Form submitted successfully!');
    }

    public function submitpurchaseForm(Request $request)
    {


        $request->validate([
            'name' => 'required|string|max:255',
            'email' => 'required|email|max:15',
            'phone' => 'required',
        ]);


        $formData = $request->only('name', 'phone', 'email');

        Mail::to('support@eservmd.com')->send(new FormSubmissionPurchase($formData));

        return redirect()->back()->with('success-contact', 'Form submitted successfully!');
    }
}
