<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\LoanOption;
use App\Models\Testimonial;
use App\Models\Partner;
use App\Models\Learning;
use TCG\Voyager\Models\Post;


class HomeController extends Controller
{
    public function index()
    {
        $loanoptions = LoanOption::where('status', 'PUBLISHED')->orderBy('order', 'desc')->get();
        $testimonials = Testimonial::where('status', 'PUBLISHED')->orderBy('order', 'desc')->get();
        $partners = Partner::where('status', 'PUBLISHED')->orderBy('order', 'desc')->get();
        $blogs = Post::where('status', 'PUBLISHED')->orderBy('id', 'desc')->take(3)->get();
        $learnings = Learning::where('status', '1')->orderBy('order', 'asc')->get();


        return view('index', compact('loanoptions', 'testimonials', 'partners', 'blogs', 'learnings'));
    }

    public function loanoption_detail($id)
    {
        $currentUrl = url()->current();
        $loanoption = LoanOption::where('id', $id)->where('status', 'PUBLISHED')->firstOrFail();
        $loanoptions = LoanOption::where('status', 'PUBLISHED')->orderBy('order', 'desc')->get();
        return view('loanoption', compact('loanoption', 'loanoptions', 'currentUrl'));
    }

    public function learning_detail($id)
    {
        $learningUrl = url()->current();
        $learning = Learning::where('id', $id)->where('status', '1')->firstOrFail();

        $learnings = Learning::where('status', '1')->orderBy('order', 'asc')->get();
        return view('learning', compact('learning', 'learnings', 'learningUrl'));
    }

    public function blog_detail($id)
    {
        $blog = Post::where('status', 'PUBLISHED')->where('slug', $id)->firstOrFail();
        return view('blog', compact('blog'));
    }

    public function blogs()
    {
        $blogs = Post::where('status', 'PUBLISHED')->orderBy('id', 'desc')->get();
        return view('blogs', compact('blogs'));
    }

    public function purchase()
    {

        return view('purchase');
    }
    public function refinance()
    {

        return view('refinance');
    }

    public function learning()
    {

        return view('learning');
    }

    public function single_family_residence()
    {
        $blogs = Post::where('status', 'PUBLISHED')->orderBy('id', 'desc')->get();

        return view('single_family_residence', compact('blogs'));
    }
    public function multi_family_residence()
    {
        $blogs = Post::where('status', 'PUBLISHED')->orderBy('id', 'desc')->get();

        return view('multi_family_residence', compact('blogs'));
    }
    public function area_we_serve()
    {
        $blogs = Post::where('status', 'PUBLISHED')->orderBy('id', 'desc')->get();

        return view('area_we_serve', compact('blogs'));
    }
}
