<?php 
namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Google_Client;
use GuzzleHttp\Client;

class PushNotificationController extends Controller
{
    public function testNotification()
    {
        $title = "NDMA Pakistan";
        $body = "Test Alert... Read More";
        $this->sendGCM($title, $body);
    }

    public function sendGCM($title, $body)
    {
        try {
            $accessToken = $this->getAccessToken();
            dd($accessToken);  // Add dd() here to see if access token is fetched
        } catch (\Exception $e) {
            dd('Error obtaining access token: ' . $e->getMessage()); // Add dd to debug errors
        }

        $url = 'https://fcm.googleapis.com/v1/projects/ndmaalert/messages:send';

        $fields = [
            'message' => [
                'token' => 'd0VZTEylSxm5JVTDqqC36M:APA91bFYX-f6pGyRtdVhs90LD2TCMSfjLZ6L0i1KH4_W9wYMuPKfYe3LOo5iU_q-v7332IX5DQZBMWbcWmX8PkuSKKehMj-ADhw7jLuWi_lb1se-VUqlCz1vVUDF2v1qvPXFIEUU8zpb',
                'notification' => [
                    'title' => $title,
                    'body' => $body,
                ],
                'data' => [
                    'type' => 'Alert',
                ],
            ],
        ];

        $fields = json_encode($fields);

        $headers = [
            'Authorization: Bearer ' . $accessToken,
            'Content-Type: application/json',
        ];

        $client = new Client();

        try {
            $response = $client->post($url, [
                'headers' => $headers,
                'body' => $fields,
                'verify' => false,
            ]);

            echo $response->getBody();
        } catch (\Exception $e) {
            echo 'Error: ' . $e->getMessage();
        }
    }

    public function getAccessToken()
{
    // Path to your service account key file located in the public directory
    $keyFilePath = public_path('test.json'); 

    // Ensure this path is correct and points to your service account JSON file
    if (!file_exists($keyFilePath)) {
        throw new \Exception('Service account key file not found.');
    }

    // Check server time for debugging
    //dd('Server time: ' . date('Y-m-d H:i:s'));

    // Create a new Google Client
    $client = new \Google_Client();
    $client->setAuthConfig($keyFilePath);
    $client->addScope('https://www.googleapis.com/auth/firebase.messaging');
    $client->useApplicationDefaultCredentials();
    
    // Check if token expired and fetch new one if needed
    if ($client->isAccessTokenExpired()) {
        $client->fetchAccessTokenWithAssertion();
    }

    $accessToken = $client->getAccessToken();
    if (isset($accessToken['access_token'])) {
        return $accessToken['access_token'];
    } else {
        throw new \Exception('Failed to obtain access token');
    }
}

}
