<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\FormController;
use App\Http\Controllers\PushNotificationController;
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/cc', function () {
    Artisan::call('cache:clear');
    Artisan::call('route:clear');
    Artisan::call('config:clear');
    Artisan::call('view:clear');
    Artisan::call('event:clear');
    return "Cleared";
});
Route::get('/ss', function () {
    Artisan::call('storage:link');
    return "Done";
});

Route::get('/test-push-notification', [PushNotificationController::class, 'testNotification']);
Route::get('/', [App\Http\Controllers\HomeController::class, 'index'])->name('index');
Route::get('/loanoption/{id}', [App\Http\Controllers\HomeController::class, 'loanoption_detail'])->name('loanoption_detail');
Route::get('/blog/{slug}', [App\Http\Controllers\HomeController::class, 'blog_detail'])->name('blog_detail');
Route::get('/blogs', [App\Http\Controllers\HomeController::class, 'blogs'])->name('blogs');

Route::get('/purchase', [App\Http\Controllers\HomeController::class, 'purchase'])->name('purchase');
Route::get('/refinance', [App\Http\Controllers\HomeController::class, 'refinance'])->name('refinance');
Route::get('/learning', [App\Http\Controllers\HomeController::class, 'learning'])->name('learning');
Route::get('/learning/{id}', [App\Http\Controllers\HomeController::class, 'learning_detail'])->name('learning_detail');


Route::post('/submit-form', [FormController::class, 'submitForm'])->name('submit-form');
Route::post('/submit-contact-form', [FormController::class, 'submitcontactForm'])->name('submit-contact-form');
Route::post('/submit-purchase-form', [FormController::class, 'submitpurchaseForm'])->name('submit-purchase-form');


Route::get('/single_family_residence', [App\Http\Controllers\HomeController::class, 'single_family_residence'])->name('single_family_residence');
Route::get('/multi_family_residence', [App\Http\Controllers\HomeController::class, 'multi_family_residence'])->name('multi_family_residence');
Route::get('/area_we_serve', [App\Http\Controllers\HomeController::class, 'area_we_serve'])->name('area_we_serve');



Route::group(['prefix' => 'admin'], function () {
    Voyager::routes();
});
