<?php $__env->startSection('title', 'Ink Mortgage'); ?>
<?php $__env->startSection('content'); ?>

<main class="main">

    <!-- Hero Section -->
    <section id="hero" class="hero section">

        <div class="container">
            <div class="row gy-4">
                <div class="col-lg-6 order-2 order-lg-1 d-flex flex-column justify-content-center">
                    <h1 data-aos="fade-up">Unlocking Your Dream Home</h1>
                    <p data-aos="fade-up" data-aos-delay="100">At InkMortgage, we understand that finding the perfect home is more than just a transaction – it's about fulfilling dreams and building futures. That's why we're dedicated to guiding you through every step of the mortgage process, ensuring that you not only secure the best possible rates but also feel empowered and informed along the way.</p>
                    <div class="d-flex flex-column flex-md-row" data-aos="fade-up" data-aos-delay="200">
                        <a href="#about" class="btn-get-started">Get Started <i class="bi bi-arrow-right"></i></a>
                        <!-- <a href="https://www.youtube.com/watch?v=LXb3EKWsInQ" class="glightbox btn-watch-video d-flex align-items-center justify-content-center ms-0 ms-md-4 mt-4 mt-md-0"><i class="bi bi-play-circle"></i><span>Watch Video</span></a> -->
                    </div>
                </div>
                <div class="col-lg-6 order-1 order-lg-2 hero-img" data-aos="zoom-out">
                    <img src="<?php echo e(asset('assets/img/hero.webp')); ?>" class="img-fluid animated" alt="">
                </div>
            </div>
        </div>

    </section><!-- /Hero Section -->

    <!-- About Section -->
    <section id="about" class="about section">

        <div class="container" data-aos="fade-up">
            <div class="row gx-0">

                <div class="col-lg-6 d-flex flex-column justify-content-center" data-aos="fade-up" data-aos-delay="200">
                    <div class="content">
                        <h3>Who We Are</h3>
                        <h2>Welcome to Ink Mortgage Group, your premier destination for real estate solutions across the USA. </h2>
                        <p>
                            Established with a vision to redefine property transactions, we bring decades of expertise and a commitment to excellence in every interaction. From bustling urban hubs to serene suburban retreats, we cater to diverse needs, ensuring every client finds their ideal property match.
                        </p>
                        <div class="text-center text-lg-start">
                            <a href="<?php echo e(url('/#contact')); ?>" class="btn-read-more d-inline-flex align-items-center justify-content-center align-self-center">
                                <span>Read More</span>
                                <i class="bi bi-arrow-right"></i>
                            </a>
                        </div>
                    </div>
                </div>

                <div class="col-lg-6 d-flex align-items-center" data-aos="zoom-out" data-aos-delay="200">
                    <img src="<?php echo e(asset('assets/img/about.webp')); ?>" class="img-fluid" alt="">
                </div>

            </div>
        </div>

    </section><!-- /About Section -->

    <!-- Values Section -->
    <section id="values" class="values section">

        <!-- Section Title -->
        <div class="container section-title" data-aos="fade-up">
            <h2>Our Values</h2>
            <p>What we value most<br></p>
        </div><!-- End Section Title -->

        <div class="container">

            <div class="row gy-4">

                <div class="col-lg-4" data-aos="fade-up" data-aos-delay="100">
                    <div class="card">
                        <img src="<?php echo e(asset('assets/img/integrity.webp')); ?>" class="img-fluid icon_img" alt="">
                        <h3>Integrity</h3>
                        <p>Upholding honesty and transparency in every transaction, fostering trust and credibility.</p>
                    </div>
                </div><!-- End Card Item -->

                <div class="col-lg-4" data-aos="fade-up" data-aos-delay="200">
                    <div class="card">
                        <img src="<?php echo e(asset('assets/img/excellence.webp')); ?>" class="img-fluid icon_img" alt="">
                        <h3>Excellence</h3>
                        <p>Striving for perfection in service delivery, setting industry benchmarks through diligence and dedication.</p>
                    </div>
                </div><!-- End Card Item -->

                <div class="col-lg-4" data-aos="fade-up" data-aos-delay="300">
                    <div class="card">
                        <img src="<?php echo e(asset('assets/img/community.webp')); ?>" class="img-fluid icon_img" alt="">
                        <h3>Community</h3>
                        <p>Embracing inclusivity and social responsibility, enriching neighborhoods and empowering local communities.</p>
                    </div>
                </div><!-- End Card Item -->

            </div>

        </div>

    </section><!-- /Values Section -->




    <!-- Services Section -->
    <section id="loan-options" class="services section">

        <!-- Section Title -->
        <div class="container section-title" data-aos="fade-up">

            <p>Loan Options<br></p>
            <h2>Home Loans We Specialize In</h2>
        </div><!-- End Section Title -->

        <div class="container">

            <div class="row gy-4">


                <?php if($loanoptions): ?>
                <?php $__currentLoopData = $loanoptions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $loanoption): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

                <div class="col-lg-4 col-md-6" data-aos="fade-up" data-aos-delay="100">
                    <div class="service-item item-cyan position-relative">
                        <img src="<?php echo e(asset('storage/'.$loanoption->image)); ?>" alt="" class="img-responsive img-fullwidth img_loan">
                        <h3><?php echo e($loanoption->title); ?></h3>
                        <p><?php echo e($loanoption->short_desp); ?></p>
                        <a href="<?php echo e(url('loanoption/'.$loanoption->id)); ?>" class="read-more stretched-link"><span>Read More</span> <i class="bi bi-arrow-right"></i></a>
                    </div>
                </div>


                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                <?php endif; ?>



            </div>

        </div>

    </section><!-- /Services Section -->





    <!-- Testimonials Section -->
    <section id="testimonials" class="testimonials section">

        <!-- Section Title -->
        <div class="container section-title" data-aos="fade-up">
            <h2>Testimonials</h2>
            <p>What they are saying about us<br></p>
        </div><!-- End Section Title -->

        <div class="container" data-aos="fade-up" data-aos-delay="100">

            <div class="swiper">
                <script type="application/json" class="swiper-config">
                    {
                        "loop": true,
                        "speed": 600,
                        "autoplay": {
                            "delay": 5000
                        },
                        "slidesPerView": "auto",
                        "pagination": {
                            "el": ".swiper-pagination",
                            "type": "bullets",
                            "clickable": true
                        },
                        "breakpoints": {
                            "320": {
                                "slidesPerView": 1,
                                "spaceBetween": 40
                            },
                            "1200": {
                                "slidesPerView": 3,
                                "spaceBetween": 1
                            }
                        }
                    }
                </script>
                <div class="swiper-wrapper">



                    <?php if($testimonials): ?>
                    <?php $__currentLoopData = $testimonials; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $testimonial): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <div class="swiper-slide">
                        <div class="testimonial-item">
                            <div class="stars">
                                <?php for($i = 0; $i < $testimonial->star; $i++): ?>
                                    <i class="bi bi-star-fill"></i>
                                    <?php endfor; ?>
                                    <?php for($i = $testimonial->star; $i < 5; $i++): ?> <i class="bi bi-star"></i>
                                        <?php endfor; ?>
                            </div>
                            <p>
                                <?php echo e($testimonial->quote); ?>

                            </p>
                            <div class="profile mt-auto">
                                <img src="<?php echo e(asset('storage/'.$testimonial->image)); ?>" class="testimonial-img" alt="">
                                <h3><?php echo e($testimonial->name); ?></h3>
                                <h4><?php echo e($testimonial->designation); ?></h4>
                            </div>
                        </div>
                    </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <?php endif; ?>





                </div>
                <div class="swiper-pagination"></div>
            </div>

        </div>

    </section><!-- /Testimonials Section -->



    <!-- Clients Section -->
    <section id="lenders" class="clients section">

        <!-- Section Title -->
        <div class="container section-title" data-aos="fade-up">

            <p>Our Lenders<br></p>
        </div><!-- End Section Title -->

        <div class="container" data-aos="fade-up" data-aos-delay="100">

            <div class="swiper">
                <script type="application/json" class="swiper-config">
                    {
                        "loop": true,
                        "speed": 600,
                        "autoplay": {
                            "delay": 5000
                        },
                        "slidesPerView": "auto",
                        "pagination": {
                            "el": ".swiper-pagination",
                            "type": "bullets",
                            "clickable": true
                        },
                        "breakpoints": {
                            "320": {
                                "slidesPerView": 2,
                                "spaceBetween": 40
                            },
                            "480": {
                                "slidesPerView": 3,
                                "spaceBetween": 60
                            },
                            "640": {
                                "slidesPerView": 4,
                                "spaceBetween": 80
                            },
                            "992": {
                                "slidesPerView": 6,
                                "spaceBetween": 120
                            }
                        }
                    }
                </script>
                <div class="swiper-wrapper align-items-center">
                    <?php if($partners): ?>
                    <?php $__currentLoopData = $partners; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $partner): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <div class="swiper-slide"><img src="<?php echo e(asset('storage/'.$partner->logo)); ?>" class="img-fluid" alt=""></div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <?php endif; ?>

                </div>
                <!-- <div class="swiper-pagination"></div> -->
            </div>

        </div>

    </section><!-- /Clients Section -->

    <!-- Recent Posts Section -->
    <section id="recent-posts" class="recent-posts section">

        <!-- Section Title -->
        <div class="container section-title" data-aos="fade-up">
            <h2>Recent Posts</h2>
            <p>Our Blog</p>
        </div><!-- End Section Title -->

        <div class="container">

            <div class="row gy-5">


                <?php if($blogs): ?>
                <?php $__currentLoopData = $blogs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $blog): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

                <div class="col-xl-4 col-md-6">
                    <div class="post-item position-relative h-100" data-aos="fade-up" data-aos-delay="100">

                        <div class="post-img position-relative overflow-hidden">
                            <img src="<?php echo e(asset('storage/'.$blog->image)); ?>" class="img-fluid" alt="">
                            <span class="post-date"><?php echo e(\Carbon\Carbon::parse($blog->created_at)->format('d-M-Y')); ?></span>
                        </div>

                        <div class="post-content d-flex flex-column">

                            <h3 class="post-title"><?php echo e($blog->title); ?></h3>
                            <p><?php echo e($blog->excerpt); ?></p>



                            <hr>

                            <a href="<?php echo e(url('blog/'.$blog->slug)); ?>" class="readmore stretched-link"><span>Read More</span><i class="bi bi-arrow-right"></i></a>

                        </div>

                    </div>
                </div>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                <?php endif; ?>
                <a href="<?php echo e(url('/blogs')); ?>" class=" btn-primary btn"><span>View All Posts</span> <i class="bi bi-arrow-right"></i></a>


            </div>

        </div>

    </section><!-- /Recent Posts Section -->

    <!-- Contact Section -->
    <section id="contact" class="contact section">

        <!-- Section Title -->
        <div class="container section-title" data-aos="fade-up">
            <h2>Contact</h2>
            <p>Contact Us</p>
        </div><!-- End Section Title -->

        <div class="container" data-aos="fade-up" data-aos-delay="100">

            <div class="row gy-4">

                <div class="col-lg-6">

                    <div class="row gy-4">


                        <div class="col-md-6">
                            <div class="info-item" data-aos="fade" data-aos-delay="300">
                                <i class="bi bi-telephone"></i>
                                <h3>Call Us</h3>
                                <p><a href="tel:9545076354">954-507-6354</a></p>

                            </div>
                        </div><!-- End Info Item -->

                        <div class="col-md-6">
                            <div class="info-item" data-aos="fade" data-aos-delay="400">
                                <i class="bi bi-envelope"></i>
                                <h3>Email Us</h3>
                                <p><a href="mailto:processing@inkmortgage.com">processing@inkmortgage.com</a></p>

                            </div>
                        </div><!-- End Info Item -->
                        <div class="col-md-12">
                            <div class="info-item" data-aos="fade" data-aos-delay="200">
                                <i class="bi bi-geo-alt"></i>
                                <h3>Address</h3>
                                <p>11471 West Sample Rd #40 Coral Springs,

                                    Florida 33065</p>
                            </div>
                        </div><!-- End Info Item -->



                    </div>

                </div>

                <div class="col-lg-6">
                    <form action="forms/contact.php" method="post" class="php-email-form" data-aos="fade-up" data-aos-delay="200">
                        <div class="row gy-4">

                            <div class="col-md-6">
                                <input type="text" name="name" class="form-control" placeholder="Your Name" required="">
                            </div>

                            <div class="col-md-6 ">
                                <input type="email" class="form-control" name="email" placeholder="Your Email" required="">
                            </div>

                            <div class="col-md-12">
                                <input type="text" class="form-control" name="subject" placeholder="Subject" required="">
                            </div>

                            <div class="col-md-12">
                                <textarea class="form-control" name="message" rows="6" placeholder="Message" required=""></textarea>
                            </div>

                            <div class="col-md-12 text-center">
                                <div class="loading">Loading</div>
                                <div class="error-message"></div>
                                <div class="sent-message">Your message has been sent. Thank you!</div>

                                <button type="submit">Send Message</button>
                            </div>

                        </div>
                    </form>
                </div><!-- End Contact Form -->

            </div>

        </div>

    </section><!-- /Contact Section -->

</main>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layout.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\wamp64\www\ink\resources\views/index.blade.php ENDPATH**/ ?>